Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Thread_Exit.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Thread_Control.h"`

Include dependency graph for Thread_Exit.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Thread_Exit
| Keep exit information for a Thread in thread specific storage. so that the thread-specific exit hooks will get called no matter how the thread exits (e.g., via <ACE_Thread::exit>, C++ or Win32 exception, "falling off the end" of the thread entry point function, etc.). More...
class | ACE_Thread_Exit_Maybe
| A version of ACE_Thread_Exit that is created dynamically under the hood if the flag is set to TRUE. More...

## Detailed Description

Id:
  Thread_Exit.h,v 4.7 2003/07/19 19:04:14 dhinton Exp

Author:
  Carlos O'Ryan <coryan@uci.edu>